# GeomToIGES_GeomSurface.hxx File Reference

`#include <Standard_Real.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <GeomToIGES_GeomEntity.hxx>`
`#include <Handle_IGESData_IGESEntity.hxx>`
`#include <Handle_Geom_Surface.hxx>`
`#include <Handle_Geom_BoundedSurface.hxx>`
`#include <Handle_Geom_BSplineSurface.hxx>`
`#include <Handle_Geom_BezierSurface.hxx>`
`#include <Handle_Geom_RectangularTrimmedSurface.hxx>`
`#include <Handle_Geom_ElementarySurface.hxx>`
`#include <Handle_Geom_Plane.hxx>`
`#include <Handle_Geom_CylindricalSurface.hxx>`
`#include <Handle_Geom_ConicalSurface.hxx>`
`#include <Handle_Geom_SphericalSurface.hxx>`
`#include <Handle_Geom_ToroidalSurface.hxx>`
`#include <Handle_Geom_SweptSurface.hxx>`
`#include <Handle_Geom_SurfaceOfLinearExtrusion.hxx>`
`#include <Handle_Geom_SurfaceOfRevolution.hxx>`
`#include <Handle_Geom_OffsetSurface.hxx>`
`#include <Standard.hxx>`
`#include <Standard_Macro.hxx>`